from src.routers import index, seed, vessels

from fastapi import FastAPI
from fastapi.middleware.gzip import GZipMiddleware
import uvicorn


def create_app():
    app = FastAPI()

    app.add_middleware(GZipMiddleware)

    app.include_router(index.router)
    app.include_router(seed.router)
    app.include_router(vessels.router)
    return app


app = create_app()


if __name__ == '__main__':
    app = create_app()
    uvicorn.run(app, host="0.0.0.0", port=5000)




