from src.models.cache_interface import CacheInterface
from settings import CACHE_HOST, CACHE_PORT

from pymemcache.client import base


class Cache(CacheInterface):
    _instance = None

    @staticmethod
    def get_instance(ip: str = CACHE_HOST,
                     port: int = CACHE_PORT
                     ) -> base.Client:
        if Cache._instance is None:
            Cache._instance = base.Client((ip, port))
        return Cache._instance

    def get(self, key: str):
        return self.get_instance().get(key)

    def set(self, key, value):
        return self.get_instance().set(key, value)


if __name__ == '__main__':
    cache = Cache.get_instance('localhost')
    print(cache.get('test'))
    cache.set('test', 123)
    print(cache.get('test'))
