from src.services.index_service import IndexService

from src.models.generic import GenericObjectList

from typing import List
from fastapi import APIRouter

router = APIRouter(
    tags=['Index'])

index_service = IndexService()


@router.get('/', response_model=List[str])
async def index() -> List[str]:
    return ['/measurements', '/tags', '/vessels', '/seed']


@router.get('/measurements', response_model=GenericObjectList)
async def get_measurements() -> GenericObjectList:
    data = index_service.get_measurements()
    response_object = GenericObjectList(values=list(data))
    return response_object
