from src.services.vessel_service import VesselService
from src.database.cache import Cache
from src.database.database_connector import DatabaseSingleton

from fastapi import APIRouter

router = APIRouter(
    prefix='/seed',
    tags=['Seeding']
)

vessel_service = VesselService(
    db_context=DatabaseSingleton(),
    cache_context=Cache()
)


@router.post('/vessel', response_model=str)
async def import_vessel_data(measurement_name: str = 'testship', filename: str = 'Logs_20201001T003703Z') -> str:
    vessel_service.seed(filename, measurement_name)
    return 'Vessel data successfully seeded'


@router.post('/vessel/all', response_model=str)
async def import_all_vessel_data(measurement: str = 'testship') -> str:
    vessel_service.seed_all(measurement)
    return 'Vessel data successfully seeded'
