from src.database.database_connector import DatabaseSingleton
from src.database.cache import Cache

import json


class IndexService:

    def __init__(self):
        self.context = DatabaseSingleton.get_instance()
        self.cache = Cache.get_instance()

    def get_tags(self):
        data = self.context.query('SHOW tag keys')
        return data

    def get_measurements(self):
        data = self.cache.get('measurements')
        if data is None:
            data = self.context.query('SHOW measurements').get_points()
            data = list(data)
            self.cache.set('measurements', json.dumps(data))
            return data
        return json.loads(data)


